//
//  BFChooseMusicView.swift
//  BFRecordScreenKit
//
//  Created by 胡志强 on 2022/2/28.
//

import Foundation

enum BFChooseMusicViewClickType {
    case sure, cancle
}

class BFChooseMusicView: UIView {
    
    var clickBtnAction: ((BFChooseMusicViewClickType) -> Void)?
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        
        backgroundColor = UIColor.black
        layer.cornerRadius = 10
        
        let cancelBtn = UIButton()
        cancelBtn.tag = 1001
        cancelBtn.frame = CGRect(x: 18, y: 17, width: 35, height: 24)
        cancelBtn.setTitle("取消", for: .normal)
        cancelBtn.setTitleColor(UIColor.hexColor(hexadecimal: "#616161"), for: .normal)
        cancelBtn.titleLabel?.font = UIFont.systemFont(ofSize: 17, weight: .regular)
        cancelBtn.addTarget(self, action: #selector(btnAction(btn:)), for: .touchUpInside)
        addSubview(cancelBtn)
        
        let sureBtn = UIButton()
        sureBtn.tag = 1002
        sureBtn.frame = CGRect(x: width - 35 - 18, y: 17, width: 35, height: 24)
        sureBtn.setTitle("取消", for: .normal)
        sureBtn.setTitleColor(UIColor.hexColor(hexadecimal: "#616161"), for: .normal)
        sureBtn.titleLabel?.font = UIFont.systemFont(ofSize: 17, weight: .regular)
        sureBtn.addTarget(self, action: #selector(btnAction(btn:)), for: .touchUpInside)
        addSubview(sureBtn)
        
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    
    @objc func btnAction(btn:UIButton) {
        if btn.tag == 1001 {
            //取消
            clickBtnAction?(.cancle)
        }else {
            clickBtnAction?(.sure)
        }
    }
}
