//
//  BFCameraCoverViewCell.swift
//  BFRecordScreenKit
//
//  Created by 胡志强 on 2022/1/14.
//

import Foundation
import GPUImage

open class BFCameraCoverViewCell: BFImageCoverViewCell {
    
    public var initCameraAfterData:(()->())?
    
    @objc public class func gpuCamraViewCell(collectionView: UICollectionView, indexPath: IndexPath) -> BFCameraCoverViewCell {
        let cell: BFCameraCoverViewCell = collectionView.dequeueReusableCell(withReuseIdentifier: String(describing: BFCameraCoverViewCell.self), for: indexPath) as! BFCameraCoverViewCell
        return cell
    }
    
    public override var recordItem: BFRecordItemModel? {
        didSet {
//            addData()
            addLayout()
            initCameraAfterData?()
        }
    }
    
    public func mirrorCamera(_ isFrontCamera : Bool) {
        if isFrontCamera{
            playView.setInputRotation(GPUImageRotationMode(rawValue: 2), at: 0)
        }else {
            playView.setInputRotation(GPUImageRotationMode(rawValue: 0), at: 0)
        }

    }
    
    public override init(frame: CGRect) {
        super.init(frame: frame)
    }
    
    public required init?(coder _: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
