//
//  BFProgressBaseView.swift
//  BFRecordScreenKit
//
//  Created by 胡志强 on 2022/1/17.
//

import Foundation


class BFProgressBaseView: UIView {
    
    var recordItem: BFRecordItemModel?
    
    var dragScrollProgressHandle: ((Bool, Float) -> Void)?
    var dragEndHandle: ((Float) -> Void)?
    var dragStartHandle: (() -> Void)?
    var isDrag = false

    let thumbImageWidth: CGFloat = 70.0
    
    lazy var line : UIView = {
        let v = UIView()        
        v.backgroundColor = .white
        v.layer.borderColor = UIColor.black.cgColor
        v.layer.borderWidth = 0.3
        v.layer.cornerRadius = 1.5
        
        return v
    }()
    
    func addThumbImages(images: [UIImage]){}
    
    override init(frame: CGRect) {
        super.init(frame: frame)

        addSubview(line)
        line.snp.makeConstraints { make in
            make.width.equalTo(3)
            make.center.height.equalToSuperview()
        }
    }

    required init?(coder _: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
