//
//  ViewController.swift
//  BFRecordScreenKit
//
//  Created by harry on 11/23/2021.
//  Copyright (c) 2021 harry. All rights reserved.
//

import BFMaterialKit
import BFMediaKit
import BFRecordScreenKit
import UIKit

class ViewController: UIViewController {
    lazy var addVideoBtn: UIButton = {
        let btn = UIButton(type: .custom)
//        btn.setTitle("Add", for: .normal)
        btn.setImage(UIImage(named: "add"), for: .normal)
        btn.addTarget(self, action: #selector(addVideo), for: .touchUpInside)
        return btn
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        view.backgroundColor = .black
        navigationController?.isNavigationBarHidden = true
        view.addSubview(addVideoBtn)
        addVideoBtn.snp.makeConstraints { make in
            make.width.height.equalTo(170)
            make.center.equalToSuperview()
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @objc func addVideo() {
        let vc = PhotoVideoListController()
        vc.hidesBottomBarWhenPushed = true
        navigationController?.pushViewController(vc, animated: true)
    }
}
